# MapperFlushable in riscv::paging - Rust
API documentation for the Rust `MapperFlushable` trait in crate `riscv`.
Keywords: rust, rustlang, rust-lang, MapperFlushable

# Trait riscv::paging::MapperFlushable

source · [−]

    pub trait MapperFlushable {
        fn new<T: VirtualAddress>(page: PageWith<T>) -> Self;
        fn flush(self);
        fn ignore(self);
    }

## Required methods

source

#### fn new<T: VirtualAddress>(page: PageWith<T>) -> Self

Create a new flush promise

source

#### fn flush(self)

Flush the page from the TLB to ensure that the newest mapping is used.

source

#### fn ignore(self)

Don’t flush the TLB and silence the “must be used” warning.

## Implementors

source

### impl MapperFlushable for MapperFlush

source

### impl MapperFlushable for MapperFlushGPA

source

### impl MapperFlushable for MapperFlushGPT